package org.gcube.portlets.user.dataminermanager.client.form;

import org.gcube.portlets.user.dataminermanager.client.bean.parameters.ObjectParameter;
import org.gcube.portlets.user.dataminermanager.client.bean.parameters.Parameter;

import com.google.gwt.user.client.ui.Widget;
import com.sencha.gxt.widget.core.client.form.FloatField;

/**
 * 
 * @author Giancarlo Panichi
 * email: <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class FloatFld extends AbstractFld {

	private FloatField numberField;

	/**
	 * @param operator
	 */
	public FloatFld(Parameter parameter) {
		super(parameter);

		ObjectParameter p = (ObjectParameter) parameter;

		numberField = new FloatField();

		if (p.getDefaultValue() != null)
			numberField.setValue(Float.parseFloat(p.getDefaultValue()));

		if (p.getDescription() != null)
			numberField.setTitle(p.getDescription());

	}

	/**
	 * 
	 */
	@Override
	public String getValue() {
		Float f = numberField.getCurrentValue();
		return f.toString();
	}

	/**
	 * 
	 */
	@Override
	public Widget getWidget() {
		return numberField;
	}
}
