/**
 * 
 */
package org.gcube.portlets.user.dataminermanager.client.form;

import org.gcube.portlets.user.dataminermanager.client.DataMinerManager;
import org.gcube.portlets.user.dataminermanager.shared.data.TableItemSimple;

import com.sencha.gxt.widget.core.client.Dialog;
import com.sencha.gxt.widget.core.client.button.TextButton;
import com.sencha.gxt.widget.core.client.event.HideEvent;
import com.sencha.gxt.widget.core.client.event.HideEvent.HideHandler;
import com.sencha.gxt.widget.core.client.event.SelectEvent;

/**
 * @author ceras
 *
 */
public abstract class OpenTableButton extends TextButton {
	
	protected TableItemSimple tableItem=null;
	protected boolean added = false;
	
	public abstract void onOpenTable();
	
	public abstract void onHideTable();
	
	public OpenTableButton() {
		super("Open Data Set", DataMinerManager.resources.table());
		this.addSelectHandler(new SelectEvent.SelectHandler() {
			
			@Override
			public void onSelect(SelectEvent event) {
				//TabularData tabularData = DataMinerManager.getTabularData();
				//TabularDataGridPanel gridPanel = tabularData.getGridPanel();

				Dialog dialog = new Dialog();
				dialog.setMaximizable(true);
				dialog.setBodyBorder(false);
				dialog.setExpanded(true);
				dialog.setHeadingText("Data Set "+tableItem.getName());  
				dialog.setWidth(700);  
				dialog.setHeight(500);  
				dialog.setHideOnButtonClick(true);  
				dialog.setModal(true);
				//dialog.add(gridPanel);
				dialog.show();
				
				dialog.addHideHandler(new HideHandler() {
					@Override
					public void onHide(HideEvent event) {
						onHideTable();
					}
				});

				onOpenTable();

				//tabularData.openTable(tableItem.getId());				
				//gridPanel.setHeaderVisible(false);
			}
		});
		
	}
	
	public void setTable(TableItemSimple tableItem) {
		this.tableItem = tableItem;
	}
	

	/**
	 * @return the added
	 */
	public boolean isAdded() {
		return added;
	}
	
	/**
	 * @param added the added to set
	 */
	public void setAdded(boolean added) {
		this.added = added;
	}

}
