package org.gcube.portlets.user.dataminermanager.shared.workspace;

import java.io.Serializable;

/**
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class DataMinerWorkArea implements Serializable {

	private static final long serialVersionUID = -7906477664944910362L;
	private ItemDescription dataMinerWorkAreaFolder;
	private ImportedData importedData;
	private ComputedData computedData;
	private Computations computations;

	public DataMinerWorkArea() {
		super();
	}

	/**
	 * 
	 * @param dataMinerWorkAreaFolder
	 */
	public DataMinerWorkArea(ItemDescription dataMinerWorkAreaFolder) {
		super();
		this.dataMinerWorkAreaFolder = dataMinerWorkAreaFolder;

	}

	/**
	 * 
	 * @param dataMinerWorkAreaFolder
	 * @param importedData
	 * @param computedData
	 * @param computations
	 */
	public DataMinerWorkArea(ItemDescription dataMinerWorkAreaFolder,
			ImportedData importedData, ComputedData computedData,
			Computations computations) {
		super();
		this.dataMinerWorkAreaFolder = dataMinerWorkAreaFolder;
		this.importedData = importedData;
		this.computedData = computedData;
		this.computations = computations;
	}

	public ItemDescription getDataMinerWorkAreaFolder() {
		return dataMinerWorkAreaFolder;
	}

	public void setDataMinerWorkAreaFolder(
			ItemDescription dataMinerWorkAreaFolder) {
		this.dataMinerWorkAreaFolder = dataMinerWorkAreaFolder;
	}

	public ImportedData getImportedData() {
		return importedData;
	}

	public void setImportedData(ImportedData importedData) {
		this.importedData = importedData;
	}

	public ComputedData getComputedData() {
		return computedData;
	}

	public void setComputedData(ComputedData computedData) {
		this.computedData = computedData;
	}

	public Computations getComputations() {
		return computations;
	}

	public void setComputations(Computations computations) {
		this.computations = computations;
	}

	@Override
	public String toString() {
		return "DataMinerWorkArea [dataMinerWorkAreaFolder="
				+ dataMinerWorkAreaFolder + ", importedData=" + importedData
				+ ", computedData=" + computedData + ", computations="
				+ computations + "]";
	}

}
